Subject: [nfsv4] FW: Ann Arbor Bakeathon, June 14-18 2010

From: "Weaver, Amy" <[email-masked]>
Date: Wed, 24 Mar 2010 09:42:20 -0700

Resending this message. 

Regards,
Amy Weaver
408.822.1532

-----Original Message-----
From: Weaver, Amy 
Sent: Monday, March 15, 2010 9:45 AM
To: 'J. Bruce Fields'
Cc: [email-masked]'; Weaver, Amy
Subject: RE: [nfsv4] Ann Arbor Bakeathon, June 14-18 2010

Anyone bringing a NFSv4.1 client with SP4_MACH_CRED and krb5i support to Bakeathon? Let me know. I am 
interested at testing our server implementation.  Thanks! 

Regards,
Amy Weaver
408.822.1532

-----Original Message-----
From: J. Bruce Fields [mailto:[email-masked]] 
Sent: Monday, March 15, 2010 9:38 AM
To: Weaver, Amy
Subject: Re: [nfsv4] Ann Arbor Bakeathon, June 14-18 2010

On Mon, Mar 15, 2010 at 09:17:34AM -0700, Weaver, Amy wrote:
> I would like to test my NFSv4.1 server state protection machine
> credential (SP4_MACH_CRED) with Kerberos and integrity support
> in Bakeathon. Do you know and if not, how can I find out if there are
> any client implementation that has this support coming
> to Bakeathon? Thanks!

I don't know.  I'd recommend leaving [email-masked] on the cc: line and
seeing if you get a response....

I'd also like to implement it on the Linux server before June, so I will
have the same question.  If I have the time to do a minimal client-side
implementation (if only for testing), I'll let you know, but I can't
promise that right now.

--b.

> 
> 
> Regards,
> Amy Weaver
> 408.822.1532
> > -----Original Message-----
> > From: J. Bruce Fields [mailto:[email-masked]]
> > Sent: Saturday, March 13, 2010 1:52 PM
> > To: [email-masked]
> > Subject: Re: [nfsv4] Ann Arbor Bakeathon, June 14-18 2010
> > 
> > On Sat, Mar 13, 2010 at 04:41:54PM -0500, J. Bruce Fields wrote:
> > > The next Bakeathon will be held June 14th - 18th, 2010, at the
> > > University of Michigan's Computer Science and Engineering building
> in
> > > Ann Arbor, Michigan.
> > >
> > > Details will be posted at http://citi.umich.edu/bakeathon.html as we
> have
> > > them.
> > >
> > > The primary focus of testing will be NFSv4.1 and pNFS.  NFSv4.0
> testing
> > > will also be possible.
> > 
> > It would also be useful to discuss what people expect to be testing
> this
> > summer:
> > 	- Kerberos? (With mach_cred/ssv? on the backchannel?)
> > 	- FedFS/referrals?
> > 	- Specific pNFS layout features?
> > 	- Any optional features outside pNFS?
> > 	- Etc.
> > 
> > --b.
> > 
> > 
> > -----Original Message-----
> > From: J. Bruce Fields [mailto:[email-masked]]
> > Sent: Saturday, March 13, 2010 1:42 PM
> > To: [email-masked]
> > Subject: [nfsv4] Ann Arbor Bakeathon, June 14-18 2010
> > 
> > The next Bakeathon will be held June 14th - 18th, 2010, at the
> > University of Michigan's Computer Science and Engineering building in
> > Ann Arbor, Michigan.
> > 
> > Details will be posted at http://citi.umich.edu/bakeathon.html as we
> have
> > them.
> > 
> > The primary focus of testing will be NFSv4.1 and pNFS.  NFSv4.0
> testing
> > will also be possible.
> > 
> > Registration is by email to [email-masked].  (Earlier
> > estimates of attendance would also be appreciated.)  Please let us
> know:
> > 
> > 	- How many people are coming from your group.
> > 	- How many machines you are bringing, and how many IP addresses
> > 	  you will need.
> > 	- What equipment you will be bringing if it's more than two
> > 	  laptops, or a laptop and a desktop, per person.
> > 	- A list of usernames (with UID's and GID's, if you have a
> > 	  preference) to use for ID mapping.
> > 	- Also: will you be able to stay through Friday night?
> > 
> > On the last point: we'd like to make the final Friday a full testing
> > day, and Andy and Lesli have offered to host a wrap-up party Friday
> > evening.